
import "Turbine.UI";
import "Turbine.UI.Lotro";
import "Turbine.Debug";

import "Olenn.Satchel";

satchelWindow = Olenn.Satchel.SatchelWindow();
satchelWindow:SetVisible( true );

settingsWindow = Olenn.Satchel.SettingsWindow();
settingsWindow:SetVisible( false );

Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack1, false );
Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack2, false );
Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack3, false );
Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack4, false );
Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack5, false );

satchelCommand = Turbine.ShellCommand();

function satchelCommand:Execute(cmd, args)
	if ( args == "show" ) then
		SatchelWindow:SetVisible( true );
	elseif ( args == "hide" ) then
		SatchelWindow:SetVisible( false );
	elseif ( args == "toggle" ) then
		SatchelWindow:SetVisible( not SatchelWindow:IsVisible() );
	elseif ( args ~= nil ) then
		satchelCommand:GetHelp();
	end
	
	pluginName="Satchel";
	window = Turbine.UI.Window();
	window:SetWantsUpdates(true);
	window.Update = function(sender,args)
	if (Plugins[pluginName] ~= nil) then
		Plugins[pluginName].Unload = function(self,sender,args)
			UnloadPlugin();
			Turbine.PluginData.Save( Turbine.DataScope.Character, "Satchel", Data );
		end
		window:SetWantsUpdates(false);
	end
end
end




function satchelCommand:GetHelp()
	Turbine.Shell.WriteLine( "------------Satchel Commands------------");
	Turbine.Shell.WriteLine( "/satchel show: Display Satchel Window");
	Turbine.Shell.WriteLine( "/satchel hide: Hide Satchel Window");
	Turbine.Shell.WriteLine( "/satchel toggle: Toggle Satchel Window");
end

Turbine.Shell.AddCommand( "satchel", satchelCommand );